from pathlib import Path

from srs2std.srs.structure import SectionTitle
from srs2std.srs.template import SectionTemplate, load_template_yaml


def test_section_template_descripton_trimmed():
    section_title = SectionTitle(number="1", name="Title")
    section_template = SectionTemplate(title=section_title, description="  \n \t")
    assert section_template.description == ""


def test_no_exception_when_load_iso_template():
    path = Path("iso_template.yaml")
    _ = load_template_yaml(path)
